# Interface AnimationFrame

interface AnimationFrame {
callback: (
time: number,
deltaTime: number,
...requestAnimationFrameArgs: [
domHighResTimeStamp: number,
...args: any[],
],
) => void;
calls: number;
delay: number;
once: boolean;
order: number;
}

- Defined in lib/five/utils/animationFrameLoop.ts:13

##### Index

### Properties

callback
calls
delay
once
order

## Properties

### callback

callback: (
time: number,
deltaTime: number,
...requestAnimationFrameArgs: [domHighResTimeStamp: number, ...args: any[]],
) => void

- Defined in lib/five/utils/animationFrameLoop.ts:14

### calls

calls: number

- Defined in lib/five/utils/animationFrameLoop.ts:18

### delay

delay: number

- Defined in lib/five/utils/animationFrameLoop.ts:16

### once

once: boolean

- Defined in lib/five/utils/animationFrameLoop.ts:15

### order

order: number

- Defined in lib/five/utils/animationFrameLoop.ts:17